Sync with portage [Wed Aug 22 23:28:28 MSK 2012].

mhiretskiy
root 12 years ago
parent d8cfd74f8c
commit 39eb93d29a

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/ccid/ccid-1.4.5.ebuild,v 1.5 2012/04/15 16:56:26 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-crypt/ccid/ccid-1.4.5.ebuild,v 1.6 2012/08/22 12:03:09 xmw Exp $
EAPI="4"
@ -14,7 +14,7 @@ SRC_URI="http://alioth.debian.org/download.php/${STUPID_NUM}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm hppa ~ppc ~ppc64 x86"
KEYWORDS="amd64 arm hppa ppc ~ppc64 x86"
IUSE="twinserial +usb"
DEPEND=">=sys-apps/pcsc-lite-1.6.5

@ -1,109 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emacs/emacs-common-gentoo/emacs-common-gentoo-1.3-r2.ebuild,v 1.8 2012/06/07 21:50:01 johu Exp $
EAPI=4
inherit elisp-common eutils fdo-mime gnome2-utils
DESCRIPTION="Common files needed by all GNU Emacs versions"
HOMEPAGE="http://www.gentoo.org/proj/en/lisp/emacs/"
SRC_URI="mirror://gentoo/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="X"
PDEPEND="virtual/emacs"
src_install() {
insinto "${SITELISP}"
doins subdirs.el
keepdir /etc/emacs
insinto /etc/emacs
doins site-start.el
if use X; then
local i
domenu emacs.desktop emacsclient.desktop || die
pushd icons
newicon sink.png emacs-sink.png || die
newicon emacs_48.png emacs.png || die
newicon emacs22_48.png emacs22.png || die
for i in 16 24 32 48 128; do
insinto /usr/share/icons/hicolor/${i}x${i}/apps
newins emacs_${i}.png emacs.png
[[ ${i} -ne 128 ]] && newins emacs22_${i}.png emacs22.png
done
insinto /usr/share/icons/hicolor/scalable/apps
doins emacs.svg
popd
gnome2_icon_savelist
fi
}
site-start-modified-p() {
case $(cksum <"${EROOT}${SITELISP}/site-start.el") in
# checksums of auto-generated site-start.el files
"2098727038 349") return 1 ;; # elisp-common.eclass
"3626264063 355") return 1 ;; # emacs-common-gentoo-1.0 (cvs rev 1.1)
"3738455534 394") return 1 ;; # emacs-common-gentoo-1.0 (cvs rev 1.6)
"4199862847 394") return 1 ;; # emacs-common-gentoo-1.1
"2547348044 394") return 1 ;; # emacs-common-gentoo-1.2
"2214952934 397") return 1 ;; # emacs-common-gentoo-1.2-r1
"3917799317 397") return 1 ;; # emacs-common-gentoo-1.2-r2
*) return 0 ;;
esac
}
pkg_postinst() {
if use X; then
fdo-mime_desktop_database_update
gnome2_icon_cache_update
fi
# make sure that site-gentoo.el exists since site-start.el requires it
elisp-site-regen
local line
while read line; do elog "${line:- }"; done <<-EOF
All site initialisation for Gentoo-installed packages is added to
${SITELISP}/site-gentoo.el. In order for this site
initialisation to be loaded for all users automatically, a default
site startup file /etc/emacs/site-start.el is installed. You are
responsible for maintenance of this file.
Alternatively, individual users can add the following command:
(require 'site-gentoo)
to their ~/.emacs initialisation files, or, for greater flexibility,
users may load single package-specific initialisation files from
${SITELISP}/site-gentoo.d/.
EOF
if [[ -e ${EROOT}${SITELISP}/site-start.el ]]; then
elog
ewarn "The location of the site startup file for Emacs has changed to"
ewarn "/etc/emacs/site-start.el."
if site-start-modified-p; then
ewarn "If your site-start.el file contains your own customisation,"
ewarn "you should move it to the new file. In any case, you should"
ewarn "remove the old ${SITELISP}/site-start.el file."
else
ewarn "Removing the old ${SITELISP}/site-start.el file."
rm -f "${EROOT}${SITELISP}/site-start.el"
fi
fi
}
pkg_postrm() {
if use X; then
fdo-mime_desktop_database_update
gnome2_icon_cache_update
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/libvirt/libvirt-0.9.13-r1.ebuild,v 1.3 2012/08/14 21:27:20 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emulation/libvirt/libvirt-0.9.13-r1.ebuild,v 1.4 2012/08/22 13:11:25 nativemad Exp $
EAPI=4
@ -26,7 +26,7 @@ else
ftp://libvirt.org/libvirt/${MY_P}.tar.gz
${BACKPORTS:+
http://dev.gentoo.org/~cardoe/distfiles/${MY_P}-bp-${BACKPORTS}.tar.xz}"
KEYWORDS="amd64 ~x86"
KEYWORDS="amd64 x86"
fi
S="${WORKDIR}/${P%_rc*}"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox/virtualbox-4.1.20.ebuild,v 1.3 2012/08/22 00:31:50 blueness Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox/virtualbox-4.1.20-r1.ebuild,v 1.1 2012/08/22 11:37:28 polynomial-c Exp $
EAPI=4
@ -272,8 +272,11 @@ src_install() {
fperms 4750 /usr/$(get_libdir)/${PN}/VBoxNetAdpCtl
fperms 4750 /usr/$(get_libdir)/${PN}/VBoxNetDHCP
# VBoxSVC needs to be pax-marked (bug #403453)
pax-mark -m "${D}"/usr/$(get_libdir)/${PN}/VBoxSVC || die
if ! use headless ; then
for each in VBox{SDL,SVC,Headless} ; do
for each in VBox{SDL,Headless} ; do
doins $each || die
fowners root:vboxusers /usr/$(get_libdir)/${PN}/${each}
fperms 4750 /usr/$(get_libdir)/${PN}/${each}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox/virtualbox-9999.ebuild,v 1.31 2012/08/22 00:31:50 blueness Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox/virtualbox-9999.ebuild,v 1.32 2012/08/22 10:21:56 blueness Exp $
EAPI=2
@ -147,7 +147,7 @@ src_install() {
fi
if ! use headless; then
for each in VBox{SDL,SVC,Headless} ; do
for each in VBox{SDL,Headless} ; do
doins $each
fowners root:vboxusers /usr/lib/${PN}/${each}
fperms 4750 /usr/lib/${PN}/${each}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-i18n/libguess/libguess-1.1.ebuild,v 1.8 2012/05/29 14:46:19 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/app-i18n/libguess/libguess-1.1.ebuild,v 1.9 2012/08/22 14:35:12 xmw Exp $
EAPI=2
@ -10,7 +10,7 @@ SRC_URI="http://distfiles.atheme.org/${P}.tar.bz2"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="alpha amd64 hppa ~ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="alpha amd64 hppa ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE="examples"
RDEPEND="

@ -1,2 +1 @@
DIST i8kutils_1.25.tar.gz 40528 SHA256 30bd138f31e3632e35472c012732a74c7dac5a87708fd7b24f323a0ca7c71ca4 SHA512 6a057a72025dd4f0e67cd30c5a601b513631262f123a146399ead2a65d4816ff4d5f4edd91edffe7ba5de4bba6157eac169e5e4b4653b7fa692dc80aae475dc2 WHIRLPOOL 19ccdbbb9d4731d40b3ebd967fad5fc9ad2c85cdc04a35357d03a7beb116d6d0f7e8f46396a37a4c38bdc46ce81818a24d140127c3dca0bccffa9fb8479dd39a
DIST i8kutils_1.33.tar.gz 50378 SHA256 ebdd39a2be8b5742bd7b24a5dbcbef36ab3b9980330ad07eea471e68b800ecd7 SHA512 a7b9277b8c9bc2642a65122dda31cfa7cc0c4fa780ba980364c0a4e0e4599502c6557871464ff256c5911370d98944826d0e29d4d3621605d5e8c1c8a23e5578 WHIRLPOOL 162cec2b48c1573a8b49d7966db312357754bc4445a9247d6fd0ca43bfabf1ccbe155bdc19c66fcc654f1dd6ff7499e82829e62a726f602a846b01b4a0189eb2

@ -1,48 +0,0 @@
#!/sbin/runscript
depend() {
after alsasound
after modules
}
checkconfig() {
if [ ! -e /proc/i8k ] ; then
eerror "The i8k driver is not installed"
return 1
fi
}
start() {
checkconfig || return 1
if [ -n "$VOLUME_UP$VOLUME_DOWN$VOLUME_MUTE" ] ; then
ebegin "Starting i8kbuttons"
start-stop-daemon --start --quiet --pidfile /var/run/i8kbuttons.pid \
--make-pidfile --exec /usr/bin/i8kbuttons --background \
-- ${VOLUME_UP:+-u "${VOLUME_UP}"} \
${VOLUME_DOWN:+-d "$VOLUME_DOWN"} \
${VOLUME_MUTE:+-m "$VOLUME_MUTE"} \
${BUTTON_REPEAT:+-r "$BUTTON_REPEAT"}
eend $?
fi
if [ ! -n "$NOMON" ]; then
ebegin "Starting i8kmon"
start-stop-daemon --start -b --quiet \
--exec /usr/bin/i8kmon --background \
--name "tclsh /usr/bin/i8kmon" \
-- -d ${NOAUTO:+-na} ${TIMEOUT:+-t $TIMEOUT}
eend $?
fi
}
stop() {
if [ -n "$VOLUME_UP$VOLUME_DOWN$VOLUME_MUTE" ] ; then
ebegin "Stopping i8kbuttons"
start-stop-daemon --stop --quiet --pidfile /var/run/i8kbuttons.pid
eend $?
fi
if [ ! -n "$NOMON" ]; then
ebegin "Stopping i8kmon"
start-stop-daemon --stop --quiet --name "tclsh /usr/bin/i8kmon"
eend $?
fi
}

@ -1,58 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-laptop/i8kutils/i8kutils-1.25-r1.ebuild,v 1.4 2012/07/01 11:03:09 jlec Exp $
EAPI=4
inherit toolchain-funcs
DESCRIPTION="Dell Inspiron and Latitude utilities"
HOMEPAGE="http://packages.debian.org/sid/i8kutils"
SRC_URI="http://people.debian.org/~dz/i8k/${P/-/_}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="examples tk"
DEPEND="tk? ( dev-lang/tk )"
RDEPEND="${DEPEND}"
DOCS=( README.i8kutils )
src_prepare() {
sed \
-e '/^CC/d' \
-e '/^CFLAGS/d' \
-e 's: -g : $(LDFLAGS) :g' \
-i Makefile || die
tc-export CC
}
src_compile() {
make all || die
}
src_install() {
dobin i8kbuttons i8kctl
doman i8kbuttons.1 i8kctl.1
dosym /usr/bin/i8kctl /usr/bin/i8kfan
use examples && dodoc -r examples
newinitd "${FILESDIR}"/i8k.init-r1 i8k
newconfd "${FILESDIR}"/i8k.conf i8k
if use tk; then
dobin i8kmon
doman i8kmon.1
dodoc i8kmon.conf
else
cat >> "${ED}"/etc/conf.d/i8k <<- EOF
# i8kmon disabled because the package was installed without USE=tk
NOMON=1
EOF
fi
}

@ -1,45 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-laptop/i8kutils/i8kutils-1.25.ebuild,v 1.14 2012/07/01 11:03:09 jlec Exp $
EAPI=4
DESCRIPTION="Dell Inspiron and Latitude utilities"
HOMEPAGE="http://packages.debian.org/sid/i8kutils"
SRC_URI="http://people.debian.org/~dz/i8k/${P/-/_}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE="tk"
DEPEND="tk? ( dev-lang/tk )"
RDEPEND="${DEPEND}"
src_compile() {
make all || die
}
src_install() {
dobin i8kbuttons i8kctl
doman i8kbuttons.1 i8kctl.1
dosym /usr/bin/i8kctl /usr/bin/i8kfan
dodoc README.i8kutils
docinto examples/
dodoc examples/*
newinitd "${FILESDIR}"/i8k.init i8k
newconfd "${FILESDIR}"/i8k.conf i8k
if use tk; then
dobin i8kmon
doman i8kmon.1
docinto /
dodoc i8kmon.conf
else
echo >> "${ED}"/etc/conf.d/i8k
echo '# i8kmon disabled because the package was installed without USE=tk' >> "${ED}"/etc/conf.d/i8k
echo 'NOMON=1' >> "${ED}"/etc/conf.d/i8k
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-mobilephone/obexd/obexd-0.46.ebuild,v 1.4 2012/08/12 16:34:12 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-mobilephone/obexd/obexd-0.46.ebuild,v 1.5 2012/08/22 12:28:24 xmw Exp $
EAPI="4"
@ -9,7 +9,7 @@ HOMEPAGE="http://www.bluez.org/"
SRC_URI="mirror://kernel/linux/bluetooth/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm ~ppc x86"
KEYWORDS="amd64 arm ppc x86"
IUSE="-eds nokia -server usb"
DOCS="AUTHORS ChangeLog README doc/*.txt"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/lyx/lyx-2.0.4.ebuild,v 1.2 2012/08/22 00:05:10 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/lyx/lyx-2.0.4.ebuild,v 1.4 2012/08/22 14:23:58 johu Exp $
EAPI=3
@ -20,7 +20,7 @@ SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x64-macos ~x86-macos"
IUSE="cups debug nls +latex xetex luatex monolithic-build html rtf dot docbook dia subversion rcs svg gnumeric +hunspell aspell enchant"
LANGS="ar ca cs de da el en es eu fi fr gl he hu ia id it ja nb nn pl pt ro ru sk sr sv tr uk zh_CN zh_TW"

@ -1,3 +1 @@
DIST pdmenu_1.2.89.tar.gz 150140 SHA256 8a0a6c35546920dbd368957fc4f63ecd1f3886de270d044cb2a574b6f07ee7a9 SHA512 c82797de272403b13964d456ae5576635221b744522c03d910e263e8eb44dc3969d474fb701aaa75e028d6793a2cdc975d66a3563a241a9989e65288f730f724 WHIRLPOOL 71da5aed2702dace6c5954345113ddb5c398491740851fd8ab7b9ae700284543bb447e699ecd129c9a1e14a1308747b70264d180ae9749082724f1c7cdab8961
DIST pdmenu_1.2.95.tar.gz 154480 SHA256 bb1f1229e0e809050d4d4bf682e353cf0ad17b9be787468aaaf2b9feceda683d SHA512 ccddc382c9485cb9ea24dc9d0f610797ff0e174398efa0faa7dfc68e9ef8da3e784e0f96428751c3ace50627e86e4fef9f2ed2225cb1ab357a2afa19fffa6594 WHIRLPOOL a25bccaefcd6f2f3d20ba95eea5d440031d09bce48f5acbe4ffce278beb414562d505a8e05c39f1630130c7c0a3afb9f645cd7856fc06f331a863868ec2f3dd4
DIST pdmenu_1.3.2.tar.gz 160083 SHA256 7a7b68d50851a4f0f42467d9c5ee74bdb42591e35687f97ad3d2c915f9607d90 SHA512 9359dcf0d058349b502f0c39509d3c51658d80062f2c65c52010255ba97ffd1a3e5bf5cf4d6feffff6865ff1a26440a7523a447e9e4a2a0760cafc6a3109e945 WHIRLPOOL f92187058f4d057149c26c26b2ddb1c215c63690e4412d167b82da0ba77c81df81c9f0cdcc171eec9a4029ba188db38592dcc5ade53fefd9fc084febb7533ed6

@ -1,53 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-shells/pdmenu/pdmenu-1.2.89.ebuild,v 1.15 2012/07/08 15:26:09 armin76 Exp $
DESCRIPTION="A simple console menu program"
HOMEPAGE="http://joeyh.name/code/pdmenu/"
SRC_URI="mirror://debian/pool/main/p/pdmenu/pdmenu_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~mips x86"
IUSE="nls gpm examples"
DEPEND="
sys-libs/slang
gpm? ( sys-libs/gpm )
nls? ( sys-devel/gettext )"
RDEPEND="${DEPEND}"
S=${WORKDIR}/${PN}
RESTRICT="test"
src_compile() {
econf \
$(use_with gpm) \
$(use_enable nls) \
|| die "econf failed"
emake || die "emake failed"
}
src_install() {
dodoc doc/ANNOUNCE doc/BUGS doc/TODO
if use examples; then
insinto /usr/share/doc/${PF}
doins -r examples
fi
mv doc/pdmenu.man doc/pdmenu.1
mv doc/pdmenurc.man doc/pdmenurc.5
doman doc/pdmenu.1 doc/pdmenurc.5
dobin pdmenu
}
pkg_postinst() {
ewarn "Note this part from man page: Security warning! Any exec command"
ewarn "that uses the 'edit' flag will be a security hole. The user need"
ewarn "only to enter text with a ';' in it, and they can run an"
ewarn "arbitrary command after the semicolon!"
}

@ -1,57 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-shells/pdmenu/pdmenu-1.2.95.ebuild,v 1.6 2012/07/08 15:26:09 armin76 Exp $
EAPI=4
inherit eutils
DESCRIPTION="A simple console menu program"
HOMEPAGE="http://joeyh.name/code/pdmenu/"
SRC_URI="mirror://debian/pool/main/p/pdmenu/pdmenu_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~mips x86"
IUSE="nls gpm examples"
DEPEND="
sys-libs/slang
gpm? ( sys-libs/gpm )
nls? ( sys-devel/gettext )"
S=${WORKDIR}/${PN}
RESTRICT="test"
src_prepare() {
sed \
-e 's:\(-o pdmenu\):$(LDFLAGS) \1:g' \
-i Makefile || die
}
src_configure() {
econf \
$(use_with gpm) \
$(use_enable nls)
}
src_install() {
dobin pdmenu
dodoc doc/ANNOUNCE doc/BUGS doc/TODO
use examples && doins -r examples
mv doc/pdmenu.man doc/pdmenu.1
mv doc/pdmenurc.man doc/pdmenurc.5
doman doc/pdmenu.1 doc/pdmenurc.5
}
pkg_postinst() {
ewarn "Note this part from man page: Security warning! Any exec command"
ewarn "that uses the 'edit' flag will be a security hole. The user need"
ewarn "only to enter text with a ';' in it, and they can run an"
ewarn "arbitrary command after the semicolon!"
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-shells/pdmenu/pdmenu-1.3.2.ebuild,v 1.4 2012/08/03 13:24:37 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-shells/pdmenu/pdmenu-1.3.2.ebuild,v 1.5 2012/08/22 09:17:13 johu Exp $
EAPI=4
@ -12,7 +12,7 @@ SRC_URI="mirror://debian/pool/main/p/pdmenu/pdmenu_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~mips ~x86"
KEYWORDS="amd64 ~mips x86"
IUSE="nls gpm examples"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-shells/rssh/rssh-2.3.3-r2.ebuild,v 1.3 2012/07/15 17:00:37 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/app-shells/rssh/rssh-2.3.3-r2.ebuild,v 1.4 2012/08/22 14:18:26 xmw Exp $
EAPI=4
inherit eutils multilib
@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/rssh/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
KEYWORDS="amd64 ppc x86"
IUSE="static"
RDEPEND="virtual/ssh"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/opensp/opensp-1.5.2-r3.ebuild,v 1.11 2012/08/19 16:14:23 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/opensp/opensp-1.5.2-r3.ebuild,v 1.12 2012/08/22 07:38:31 xmw Exp $
EAPI=2
inherit eutils flag-o-matic
@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/openjade/${MY_P}.tar.gz"
LICENSE="JamesClark"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ~ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="doc nls static-libs test"
DEPEND="nls? ( >=sys-devel/gettext-0.14.5 )

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/xdvipdfmx/xdvipdfmx-0.7.8_p20110705.ebuild,v 1.9 2012/06/17 16:34:10 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/xdvipdfmx/xdvipdfmx-0.7.8_p20110705.ebuild,v 1.10 2012/08/22 14:17:39 xmw Exp $
EAPI="3"
@ -11,7 +11,7 @@ SRC_URI="mirror://gentoo/texlive-${PV#*_p}-source.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ~ppc ~ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ~ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE="doc"
RDEPEND="!<app-text/texlive-core-2010

@ -1,3 +1,2 @@
DIST phpMyAdmin-3.4.9-all-languages.tar.bz2 4666051 SHA256 5251dc5c5c691c02dd4683692f282c72e8360f453dbb3edfa5f53d9461299f86 SHA512 c006da6606de685403cc253b72dac5c251e0f2613e2ebe68bfaed46a4e408415f00f4f243108e36ffdc5be3f0474a7445dbc1af8f11a37057bd137601d8fe55c WHIRLPOOL f60b893be099b4da799bb3c3eee586e6c7158f7df757eb7f0397b44a762524e12b72f4b76fb92235cc766a60ac01de91a4d066ea6d0a3eb67abb45150d246475
DIST phpMyAdmin-3.5.0-all-languages.tar.bz2 4711973 SHA256 30ec9ca34926912a459e121539a56609e984de4df610674578c1bcfa51eb9ee5 SHA512 110c687c5e4cb813c0a5a5a9b9130bcdd0f055da118c56cbd1c311d4348670d6b020ca5968ee2da4779616864ed95efccafd83aa38681445254303da5ce97781 WHIRLPOOL 8ac1fd1b4caa971188472bfbc0525697e73274d14ebcf795a43b7e959f658f18d34e660a8a33915994d4a9dcac7f1e06407b99ca7abf5a45d834d4fa631aa387
DIST phpMyAdmin-3.5.1-all-languages.tar.bz2 4724343 SHA256 c4938855ad43c41a2c94b2f74c75a24819e01f55d800a347c8373557988b2da3 SHA512 21c219f2cab38f98b8b1994d71ba5d563d7a84d7a469807c6283844e73005baa937764ce1418e1c198a76d2c0e9acae11f7b74e7b8be8bc38a1d6c834affd4b5 WHIRLPOOL 312af8dff8115d94072cdec58fa41a23eb0bafdf29ef2bf8c79d1673b6c6ededec5c62125bee0a81209b1c176a7a3e76d6a6c32bbc8ee21d848b94201fa3e3ad
DIST phpMyAdmin-3.4.9-all-languages.tar.bz2 4666051 RMD160 2bec1bd147af6ff00cdb999a35800b95f986a518 SHA1 4ac4f15fb305ef243b88b17e405e9d451bd56de9 SHA256 5251dc5c5c691c02dd4683692f282c72e8360f453dbb3edfa5f53d9461299f86
DIST phpMyAdmin-3.5.2.2-all-languages.tar.xz 3654332 RMD160 26e247336fa2876c939afa0fa842cc67ee7c38f3 SHA1 0772385c8133e7b0becaa6c81df7f76bdb9d3bf2 SHA256 d02de081c522d3026f4a8418538f7ff05adf280afa404851a5f7f4ef895b4a7d

@ -1,65 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/phpmyadmin/phpmyadmin-3.5.0.ebuild,v 1.1 2012/04/09 23:50:00 robbat2 Exp $
EAPI="2"
inherit eutils webapp depend.php
MY_PV=${PV/_/-}
MY_P="phpMyAdmin-${MY_PV}-all-languages"
DESCRIPTION="Web-based administration for MySQL database in PHP"
HOMEPAGE="http://www.phpmyadmin.net/"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="setup"
RDEPEND="
dev-lang/php[crypt,ctype,filter,json,session,unicode]
|| (
<dev-lang/php-5.3[spl,pcre]
>=dev-lang/php-5.3
)
|| (
dev-lang/php[mysqli]
dev-lang/php[mysql]
)
"
need_httpd_cgi
need_php_httpd
S="${WORKDIR}"/${MY_P}
pkg_setup() {
webapp_pkg_setup
}
src_install() {
webapp_src_preinst
dodoc Documentation.txt README RELEASE-DATE-${MY_PV} ChangeLog || die
rm -f LICENSE README* RELEASE-DATE-${MY_PV}
if ! use setup; then
rm -rf setup || die "Cannot remove setup utility"
elog "The phpMyAdmin setup utility has been removed."
elog "It is a regular target of various exploits. If you need it, set USE=setup."
else
elog "You should consider disabling the setup USE flag"
elog "to exclude the setup utility if you don't use it."
elog "It regularly is the target of various exploits."
fi
insinto "${MY_HTDOCSDIR}"
doins -r .
webapp_configfile "${MY_HTDOCSDIR}"/libraries/config.default.php
webapp_serverowned "${MY_HTDOCSDIR}"/libraries/config.default.php
webapp_postinst_txt en "${FILESDIR}"/postinstall-en-3.1.txt
webapp_src_install
}

@ -1,8 +1,8 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/phpmyadmin/phpmyadmin-3.5.1.ebuild,v 1.1 2012/05/07 14:36:20 a3li Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/phpmyadmin/phpmyadmin-3.5.2.2.ebuild,v 1.1 2012/08/22 15:15:53 a3li Exp $
EAPI="2"
EAPI="4"
inherit eutils webapp depend.php
@ -11,7 +11,7 @@ MY_P="phpMyAdmin-${MY_PV}-all-languages"
DESCRIPTION="Web-based administration for MySQL database in PHP"
HOMEPAGE="http://www.phpmyadmin.net/"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-embedded/openocd/openocd-0.5.0.ebuild,v 1.9 2012/08/17 22:26:33 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-embedded/openocd/openocd-0.5.0.ebuild,v 1.10 2012/08/22 17:29:19 hwoarang Exp $
EAPI="4"
@ -23,7 +23,7 @@ IUSE="blaster dummy ftd2xx ftdi minidriver parport presto segger usb versaloon"
RESTRICT="strip" # includes non-native binaries
# libftd2xx is the default because it is reported to work better.
DEPEND="<=dev-lang/jimtcl-0.73
DEPEND="<dev-lang/jimtcl-0.73
usb? ( virtual/libusb:0 )
presto? ( dev-embedded/libftd2xx )
ftd2xx? ( dev-embedded/libftd2xx )

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/saxon/saxon-9.2.0.6.ebuild,v 1.4 2012/05/07 06:26:31 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-java/saxon/saxon-9.2.0.6.ebuild,v 1.5 2012/08/22 08:00:46 xmw Exp $
EAPI="3"
@ -16,7 +16,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}he${MY_PV}source.zip"
LICENSE="MPL-1.0"
SLOT="9"
KEYWORDS="amd64 ~ppc x86"
KEYWORDS="amd64 ppc x86"
IUSE=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/tagsoup/tagsoup-1.2.1.ebuild,v 1.3 2012/06/19 01:29:19 jdhore Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-java/tagsoup/tagsoup-1.2.1.ebuild,v 1.4 2012/08/22 08:46:25 xmw Exp $
EAPI=4
@ -14,7 +14,7 @@ SRC_URI="http://mercury.ccil.org/~cowan/XML/tagsoup/${P}-src.zip"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~ppc x86 ~x86-freebsd ~amd64-linux ~x86-linux ~x86-macos"
KEYWORDS="amd64 ppc x86 ~x86-freebsd ~amd64-linux ~x86-linux ~x86-macos"
IUSE=""
RDEPEND="

@ -1,2 +1,2 @@
DIST jimtcl-0.70_pre20110317.tar.gz 11584 SHA256 b3e0ead6f7de58d8472a8a3f80f3b8e68d8591735b002e5f683c1aa4c88e7dfe SHA512 7df804f7d866fccd690e91dfab90f9a4371196447277a8e4027590e22d78cd3bf6769c7a18f63747d06d9bf55c4e59ae2bccc70a1ca971d96737ec0a8aa9fd4d WHIRLPOOL 9174ae063fc10d7775ee32d981e546cc1ee331dcea5fd48ebfae954ac8bf0ae93b3834f8a66deff655a0f2bfd61ee72f066f0da8cbb90f31d8c4a4d2ca512977
DIST jimtcl-0.70_pre20110317.tar.gz 691917 SHA256 28998a03321ef64d23376057c1a3dfb0f2f552ddce19df54d1d1277d3487f70d SHA512 138000c97bf7f8c0c5d81cd98861684d382579ace0cb1f7b96f71dde721ca627bf4d7beeed2bc8528077da26353a41ee9bcdbabd44bd732082c42ad6c7f91c65 WHIRLPOOL f1bc3336e49fb8229d41ed289070fac9ac515c4a4ed314a3d166a59244c57860ad628dd2016ded75ca8ec780c68a7b664e3030df86e06e5534d2fb6eda8d2b51
DIST jimtcl-0.73.zip 2286098 SHA256 3d7348ad7f853dd58ab3c05d5404ababde083eef95debca6c7cee2da047214d0 SHA512 9d99eff13292ed1db95ca673be88b14c87e9ce1e28d3fab0b08e0ca0473765fa2e8e305fd5f67768d94ae47cc3e0bc3d0cec8ba4a54ad3d5c1359ee8e2d36f81 WHIRLPOOL 8bb83acad304dc73abfeee8718713bcc5a613cfbc3f875d6c31d70778822b88cf0f415b038262125236884853d9c977bf7ff134fb166e2b83124f452d7b6cd29

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mozart/mozart-1.4.0-r2.ebuild,v 1.5 2012/06/18 10:08:46 keri Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mozart/mozart-1.4.0-r2.ebuild,v 1.6 2012/08/22 10:42:47 xmw Exp $
EAPI="2"
@ -17,7 +17,7 @@ SRC_URI="http://www.mozart-oz.org/download/mozart-ftp/store/1.4.0-2008-07-02-tar
LICENSE="Mozart"
SLOT="0"
KEYWORDS="-amd64 ~ppc -ppc64 x86"
KEYWORDS="-amd64 ppc -ppc64 x86"
IUSE="doc emacs examples gdbm static tcl threads tk"
RDEPEND="dev-lang/perl

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/opendylan/opendylan-2011.1-r1.ebuild,v 1.2 2012/08/21 08:30:04 patrick Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/opendylan/opendylan-2011.1-r1.ebuild,v 1.4 2012/08/22 16:00:56 mr_bones_ Exp $
EAPI=4
inherit autotools
@ -19,21 +19,48 @@ LICENSE="Opendylan"
SLOT="0"
# not tested on x86
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="dev-libs/boehm-gc
DEPEND="app-arch/unzip
dev-libs/boehm-gc
dev-lang/perl
dev-perl/XML-Parser
|| ( dev-lang/opendylan-bin dev-lang/opendylan )"
|| ( dev-lang/opendylan-bin dev-lang/opendylan )
x86? ( dev-libs/mps )"
RDEPEND="${DEPEND}"
# on x86 there's a dependency on mps, but the build system is a bit ... hmm ...
# let's give it more of a chance to survive then
NAUGHTY_FILES=(
sources/lib/run-time/collector.c.malloc
sources/lib/run-time/collector.c
sources/lib/run-time/pentium-win32/buffalo-collector.c
sources/lib/run-time/pentium-win32/heap-stats.c
sources/lib/run-time/heap-utils.h
)
NAUGHTY_HEADERS=(
mps.h
mpscmv.h
mpscamc.h
mpsavm.h
)
src_prepare() {
mkdir -p build-aux
elibtoolize && eaclocal || die "Fail"
automake --foreign --add-missing # this one dies wrongfully
eautoconf || die "Fail"
# mps headers, included wrong
if use x86; then
for i in ${NAUGHTY_FILES[@]}; do
for header in ${NAUGHTY_HEADERS[@]}; do
sed -i -e "s:\"${header}\":<${header}>:" $i
done
done
fi
}
src_configure() {
@ -42,7 +69,19 @@ src_configure() {
else
PATH=/opt/opendylan/bin:$PATH
fi
econf --prefix=/opt/opendylan || die
if use amd64; then
econf --prefix=/opt/opendylan || die
else
econf --prefix=/opt/opendylan --with-mps=/usr/include/mps/ || die
fi
if use x86; then
# Includedir, pointing at something wrong
sed -i -e 's:-I$(MPS)/code:-I$(MPS):' sources/lib/run-time/pentium-linux/Makefile || die "Couldn't fix mps path"
sed -i -e 's~(cd $(MPS)/code; make -f lii4gc.gmk mmdw.a)~:;~' sources/lib/run-time/pentium-linux/Makefile || die "Couldn't fix mps building"
sed -i -e 's~(cd $(MPS)/code; make -f lii4gc.gmk mpsplan.a)~:;~' sources/lib/run-time/pentium-linux/Makefile || die "Couldn't fix mps building"
sed -i -e 's~$(MPS_LIB)/mpsplan.a~/usr/lib/mpsplan.a~' sources/lib/run-time/pentium-linux/Makefile || die "Couldn't fix mps clone"
sed -i -e 's~$(MPS_LIB)/mmdw.a~/usr/lib/mmdw.a~' sources/lib/run-time/pentium-linux/Makefile || die "Couldn't fix mps clone"
fi
}
src_compile() {

@ -1,10 +1,11 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/files/eblits/src_compile-v1.eblit,v 1.6 2010/08/14 19:37:31 mabi Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/files/eblits/src_compile-v1.eblit,v 1.7 2012/08/22 15:01:54 olemarkus Exp $
eblit-php-src_compile() {
# snmp seems to run during src_compile, too (bug #324739)
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/mibs/.index
SAPI_DIR="${WORKDIR}/sapis"

@ -1,10 +1,11 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/files/eblits/src_compile-v2.eblit,v 1.3 2011/10/31 16:18:04 mabi Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/files/eblits/src_compile-v2.eblit,v 1.4 2012/08/22 15:01:54 olemarkus Exp $
eblit-php-src_compile() {
# snmp seems to run during src_compile, too (bug #324739)
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/mib_indexes
for sapi in ${SAPIS} ; do
use "${sapi}" && php_sapi_build "${sapi}"

@ -1,9 +1,10 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/files/eblits/src_configure-v53.eblit,v 1.4 2012/02/28 10:59:13 mabi Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/files/eblits/src_configure-v53.eblit,v 1.5 2012/08/22 15:01:54 olemarkus Exp $
eblit-php-src_configure() {
addpredict /usr/share/snmp/mibs/.index
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/mib_indexes
PHP_DESTDIR="/usr/$(get_libdir)/php${SLOT}"

@ -1,9 +1,10 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/files/eblits/src_configure-v54.eblit,v 1.3 2012/02/28 11:02:54 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/files/eblits/src_configure-v54.eblit,v 1.4 2012/08/22 15:01:54 olemarkus Exp $
eblit-php-src_configure() {
addpredict /usr/share/snmp/mibs/.index
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/mib_indexes
PHP_DESTDIR="/usr/$(get_libdir)/php${SLOT}"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.3.15.ebuild,v 1.6 2012/07/28 17:40:33 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.3.15.ebuild,v 1.7 2012/08/22 12:33:11 xmw Exp $
EAPI=4
@ -14,7 +14,7 @@ SUHOSIN_VERSION="5.3.9-0.9.10"
FPM_VERSION="builtin"
EXPECTED_TEST_FAILURES=""
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ~ppc ~ppc64 s390 sh sparc x86 ~amd64-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ~ppc64 s390 sh sparc x86 ~amd64-fbsd"
function php_get_uri ()
{

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.4.6.ebuild,v 1.1 2012/08/17 09:51:38 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.4.6.ebuild,v 1.2 2012/08/22 11:25:31 ago Exp $
EAPI=4
@ -10,7 +10,7 @@ SUHOSIN_VERSION=""
FPM_VERSION="builtin"
EXPECTED_TEST_FAILURES=""
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd"
function php_get_uri ()
{

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libattica/libattica-0.4.1.ebuild,v 1.1 2012/08/14 21:34:16 johu Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libattica/libattica-0.4.1.ebuild,v 1.2 2012/08/22 13:40:27 ago Exp $
EAPI=4
@ -18,8 +18,9 @@ KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-l
SLOT="0"
IUSE="debug"
DEPEND="x11-libs/qt-core:4"
RDEPEND="${DEPEND}"
RDEPEND="x11-libs/qt-core:4"
DEPEND="${RDEPEND}
x11-libs/qt-test:4"
DOCS=(AUTHORS ChangeLog README)

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libisofs/libisofs-1.2.2.ebuild,v 1.6 2012/05/15 19:03:40 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libisofs/libisofs-1.2.2.ebuild,v 1.7 2012/08/22 12:34:31 xmw Exp $
EAPI=4
@ -10,7 +10,7 @@ SRC_URI="http://files.libburnia-project.org/releases/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ppc ~ppc64 x86"
KEYWORDS="~alpha amd64 arm hppa ppc ~ppc64 x86"
IUSE="acl debug static-libs verbose-debug xattr zlib"
RDEPEND="acl? ( virtual/acl )

@ -0,0 +1 @@
DIST mps-kit-1.106.2.tar.gz 1303450 SHA256 3b482620adb3e93610dc2b56a856a61f1eeb8c40d65e7bafd78bedf1294467ba SHA512 6d4a6441c4b0afd9daa0ef20a962fd9a5cd120ed324bfb7ece95ec7570f2907853ff4843fcb71537910d81339bb92cd612fa67ad0beb0ad89382339f39760a34 WHIRLPOOL 32bd80cd6ca987ccd995ed3b979855db56c996ff9d3a8de83e105ad4464fd80128c74c768d218f36953710277a880d609203ae9e92c010739137c02010fc87f6

@ -1,8 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>maintainer-needed@gentoo.org</email>
</maintainer>
<longdescription></longdescription>
<maintainer>
<email>patrick@gentoo.org</email>
<name>Patrick Lauer</name>
</maintainer>
</pkgmetadata>

@ -0,0 +1,37 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/mps/mps-1.106.2.ebuild,v 1.3 2012/08/22 16:01:28 mr_bones_ Exp $
EAPI=4
DESCRIPTION="Ravenbrook Memory Pool System"
MY_P="${PN}-kit-${PV}"
HOMEPAGE="http://www.ravenbrook.com/project/mps/"
SRC_URI="http://www.ravenbrook.com/project/${PN}/release/${PV}/${MY_P}.tar.gz"
LICENSE="Ravenbrook"
SLOT="0"
KEYWORDS="~x86"
IUSE=""
DEPEND=""
RDEPEND="${DEPEND}"
S=${WORKDIR}/${MY_P}/code
src_prepare() {
# need to fix CFLAGS, it's still being silly
sed -i -e 's/-Werror//' gc.gmk
}
src_compile() {
emake -f lii4gc.gmk
emake -f lii4gc.gmk mpsplan.a
emake -f lii4gc.gmk mmdw.a
}
src_install() {
mkdir -p ${D}/usr/include/mps
cp ${S}/*.h ${D}/usr/include/mps
dolib.a ${S}/lii4gc/ci/*.a
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lua/luafilesystem/luafilesystem-1.5.0.ebuild,v 1.6 2012/08/06 21:11:48 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lua/luafilesystem/luafilesystem-1.5.0.ebuild,v 1.7 2012/08/22 08:47:24 xmw Exp $
EAPI="3"
inherit multilib toolchain-funcs
@ -11,7 +11,7 @@ SRC_URI="mirror://github/keplerproject/luafilesystem/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 ~arm ~ppc ppc64 x86 ~x86-fbsd"
KEYWORDS="amd64 ~arm ppc ppc64 x86 ~x86-fbsd"
IUSE=""
DEPEND=">=dev-lang/lua-5.1"

@ -1 +1,2 @@
DIST bolt-1.2.tar.gz 396762 SHA256 1df6260c999ad701f6ec65aab2e766dec413353bc2593251886a94a63fef0359 SHA512 a1721b1cacd04c79a10b056155fe4e54139b9891543d1712ea949b271251ae73cc91226661073d10a3545762cfe6c02837bdc9b83aa7b3154ea992d354267e1d WHIRLPOOL d2ec36adb973bb7538a0b67f2a80c8cdfe6e6b8c3d0419e6d0a12c46000f9dc745214cb239e39b5b47a01b4f10eebfd797e325759e081c632245b35873611f3c
DIST bolt-1.3.tar.gz 620819 SHA256 0bec892f18834449b42352d203ebb0a2ca660a51096bd208398a49123b99a256 SHA512 691357a6b1da2b710ad778f0c81e68f94a33819d8e8bae2076f5b208d0c39e10235eddc162fff117cf081d2db30446cb420a0ae58892536cb7a9442cfe30506b WHIRLPOOL 040586a510ce925ca235e9f039e133d9baa44f62a1722a92c055166bbe160162f2c07b970673723031f08931ac723a2dafced9639a8e4588f102567efaf73844

@ -0,0 +1,38 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ml/bolt/bolt-1.3.ebuild,v 1.1 2012/08/22 14:19:53 aballier Exp $
EAPI=4
inherit findlib
DESCRIPTION="Logging tool for the Objective Caml language"
HOMEPAGE="http://bolt.x9c.fr/"
SRC_URI="http://bolt.x9c.fr/distrib/${P}.tar.gz"
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE="doc"
DEPEND=">=dev-lang/ocaml-3.11[ocamlopt]"
RDEPEND="${DEPEND}"
src_configure() {
sh configure
}
src_compile() {
emake all
use doc && emake doc
}
src_test() {
emake tests
}
src_install() {
findlib_src_install
dodoc README CHANGES FEATURES
use doc && dohtml ocamldoc/*
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ml/odns/odns-0.3.ebuild,v 1.2 2012/07/04 21:38:25 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ml/odns/odns-0.3.ebuild,v 1.3 2012/08/22 14:26:16 aballier Exp $
EAPI=3
@ -18,6 +18,8 @@ IUSE=""
RDEPEND=">=dev-lang/ocaml-3.10.2[ocamlopt]"
DEPEND="${RDEPEND}"
CLIBS="" # Workaround for bug #422683
src_prepare() {
sed -i -e "s/version=\"0.2\"/version=\"${PV}\"/" META || die
epatch "${FILESDIR}/${P}-parmake.patch"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ml/pcre-ocaml/pcre-ocaml-6.2.5.ebuild,v 1.4 2012/07/03 16:12:20 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ml/pcre-ocaml/pcre-ocaml-6.2.5.ebuild,v 1.5 2012/08/22 14:23:06 aballier Exp $
EAPI="2"
@ -18,6 +18,8 @@ SLOT="0"
IUSE="examples +ocamlopt"
KEYWORDS="amd64 ppc x86 ~x86-fbsd"
CLIBS="" # Workaround for bug #422663
src_prepare() {
epatch "${FILESDIR}/${PN}-6.0.1-linkopts.patch"
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ml/pxp/pxp-1.2.3.ebuild,v 1.4 2012/08/03 22:33:17 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ml/pxp/pxp-1.2.3.ebuild,v 1.5 2012/08/22 15:26:05 johu Exp $
EAPI="2"
@ -13,7 +13,7 @@ HOMEPAGE="http://projects.camlcity.org/projects/pxp.html"
SRC_URI="http://download.camlcity.org/download/${MY_P}.tar.gz"
LICENSE="MIT"
KEYWORDS="amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc x86"
SLOT="0"
DEPEND=">=dev-ml/pcre-ocaml-4.31

@ -0,0 +1,17 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/AnyEvent/AnyEvent-7.20.0.ebuild,v 1.1 2012/08/22 17:43:44 tove Exp $
EAPI=4
MODULE_AUTHOR=MLEHMANN
MODULE_VERSION=7.02
inherit perl-module
DESCRIPTION="Provides a uniform interface to various event loops"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-solaris"
IUSE=""
SRC_TEST="do"

@ -3,3 +3,4 @@ DIST AnyEvent-6.02.tar.gz 263305 SHA256 64d7d3c02144b350b97fe437919df0112b1da448
DIST AnyEvent-6.1.tar.gz 269805 SHA256 6ba1f40ad1a9f5a809c6ff95969112b02c4b1d47f7e3a01c1ea6bff05ca72ad5 SHA512 b27c64534c0ad559b41cc4b68ba49c03cda5b128cf2e241d24082057c25ce41238e50671440881bc7ff4412512ba59e0956904d342a38ad125eeacc478ba20a4 WHIRLPOOL 83b2d46b5d151581476334e4fd519df41d9574fa8c4d8b3ae3f020f8051abeb3b4815883de95de1e68e1af8ce0eb7b996c78a5adc3034defbf3d412cb1abfe8a
DIST AnyEvent-6.14.tar.gz 270405 SHA256 c61b03a8b85ac2df64a319bda1afb5d7094e4d6df3554a8f241e1b8f3703bfcb SHA512 13c69207549926202d351b0491b5e48769c5567c60998ff677d4afa48f62afcca0bf9fa3e526ab53cc138c1bdbc10aafba9358af92863effb7a9db9544d90645 WHIRLPOOL 5adb427e0703f952172d3b5bb0164fc16039fc385710149622fadca22a823b273439b39b9f28ef28c214c1ccb53eac34988aa99a865c0ccf5f0f137032d7f648
DIST AnyEvent-7.01.tar.gz 286991 SHA256 213b3dea1c071becb3ac141e6cd3dd9ee4cd2445d6b7ec6f1884521822d04d8b SHA512 3f98f917c6298a2f22e7f295ac8596afd03ef279511d3a25e602a9bfc401e0a380345b58cc9932bdb04765377031d0ac865de9caf9f8bb6ccedb0f0a8c2bad93 WHIRLPOOL 90e34e9b95631e72778ccf42658cc8ba80144b9063b37fc1e8fa9ce4d0fa5abac22130542f2bf546708a7b9ecdcdf9918079a1a50b49bbfcd84fa500841e3c93
DIST AnyEvent-7.02.tar.gz 287199 SHA256 78d784fe68a1afe4de512c9a18369bd9f46254e59be3ca837457f6d2627dab13 SHA512 6a7a98cb7d5d135cc7a697dfba02723f64d2ec40669f609e087c4d55a50ac6fbddb68b827863ba123844b4e5bcd7a4546673ffdb34391dd8156aa7c5bce86f40 WHIRLPOOL 3ee118fef81edad74ceba0883b4135d303181ba5443c859de3a3b6085cb8a7c684c15fe53327dded4f1569dd28a8fd911b1e7466e6da84c29197b1181550d69c

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Class-Load/Class-Load-0.200.0.ebuild,v 1.2 2012/08/05 18:35:53 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Class-Load/Class-Load-0.200.0.ebuild,v 1.3 2012/08/22 07:57:34 xmw Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="A working (require q{Class::Name}) and more"
SLOT="0"
KEYWORDS="~alpha ~amd64 arm ~hppa ~ia64 ~ppc ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha ~amd64 arm ~hppa ~ia64 ppc ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE="test"
RDEPEND="

@ -0,0 +1,42 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/DBD-Pg/DBD-Pg-2.19.3.ebuild,v 1.1 2012/08/22 17:42:50 tove Exp $
EAPI=4
MODULE_AUTHOR=TURNSTEP
MODULE_VERSION=2.19.3
inherit perl-module
DESCRIPTION="The Perl DBD::Pg Module"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
RDEPEND="virtual/perl-version
>=dev-perl/DBI-1.52
dev-db/postgresql-base"
DEPEND="${RDEPEND}"
# testcases require a local database with an
# open password for the postgres user.
SRC_TEST="skip"
src_prepare() {
postgres_include="$(readlink -f "${EPREFIX}"/usr/include/postgresql)"
postgres_lib="${postgres_include//include/lib}"
# Fall-through case is the non-split postgresql
# The active cases instead get us the matching libdir for the includedir.
for i in lib lib64 ; do
if [ -d "${postgres_lib}/${i}" ]; then
postgres_lib="${postgres_lib}/${i}"
break
fi
done
# env variables for compilation:
export POSTGRES_INCLUDE="${postgres_include}"
export POSTGRES_LIB="${postgres_lib}"
perl-module_src_prepare
}

@ -1,2 +1,3 @@
DIST DBD-Pg-2.19.0.tar.gz 234913 SHA256 9323c258932aee53cb009cad65201e69545306ce7cd0dc10d50974536519da39 SHA512 9d49c360cd09dee6e7b5c1fb7809157a56ef4779110f25b7d138fe729a1d0e4e3cde59866037a685c446985f1a062fbfdb664e155f0f2525df8496b510c819ea WHIRLPOOL 77d2b02092b0f860f72a4a59c4372bb7c64a50af5ac17f55dfa83b46dcf5a81e83762af28a38ff586c60831110b7618ebce44ff3c278ca6b0bdc68016c5e740d
DIST DBD-Pg-2.19.2.tar.gz 235868 SHA256 49a61042a493cc37707a6b53c5d282127d31b867f53bbdee5d94390aee829669 SHA512 f3247799898f3737e03199177db5d3c5fba3bb359b3444f9e5cf2f720815dd3e01cfd34dbb6f35c2526fb267f403ab097371239ca9a42aea691505098474873f WHIRLPOOL bb80e182fb6acb7a414a2dd55779664de502009acb216369261efda6ee794c38814147dcdd8ecad8061240b71c4b11a6bf2648a99b9eb7c4c7a249b8b9066085
DIST DBD-Pg-2.19.3.tar.gz 237399 SHA256 37350d134b7fa88fb3b9432d92991e0a73f405bf5b3a4ee53430439280b8262a SHA512 e1183fda7abcd2ee05491fe269172e5fb09dba6cb329c6f6f1a5abb9dc9a98c414a0b67f3465b938b197bbe34e3ebc9ec6a4e810e1f9e2316753845ac5416fec WHIRLPOOL 427b1705a3d8e69032b2db5d7ad1d1c6de6353c44b5b6294352abfb28f100f2f572356a2402e285bfbb373384bff18fef7355c545ceb21fbffea07d5de75ec24

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/DateTime-TimeZone/DateTime-TimeZone-1.460.0.ebuild,v 1.6 2012/08/07 21:38:30 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/DateTime-TimeZone/DateTime-TimeZone-1.460.0.ebuild,v 1.7 2012/08/22 07:59:45 xmw Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Time zone object base class and factory"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE="test"
RDEPEND="dev-perl/Class-Load

@ -0,0 +1,28 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Devel-NYTProf/Devel-NYTProf-4.80.0.ebuild,v 1.1 2012/08/22 17:31:28 tove Exp $
EAPI=4
MODULE_AUTHOR=TIMB
MODULE_VERSION=4.08
inherit perl-module
DESCRIPTION="Powerful feature-rich perl source code profiler"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="
virtual/perl-Getopt-Long
dev-perl/JSON-Any
"
# virtual/perl-XSLoader
DEPEND="${RDEPEND}
test? (
virtual/perl-Scalar-List-Utils
>=virtual/perl-Test-Simple-0.84
)
"
SRC_TEST="do"

@ -1,2 +1,3 @@
DIST Devel-NYTProf-4.06.tar.gz 410485 SHA256 21d0f1310b7f3a3edb2c6adfb0d06829678b395d82aaba0ac2ece057ca5a92cd SHA512 3d5c93e7db5c4788a163816095379743054bec46d6690637c86a92f25daeeeced27c8afc7e2c63b7cf293a7af89e951801f559344f853ee31f132931436eb11f WHIRLPOOL 49e076eace161dbe256c62009c1ed17b23648b622aadbb42106d316c0f9c5dae7e90470a66e5019ab5438418d0af23dcfa35b0e0aa7d1e59e877d50501e50be5
DIST Devel-NYTProf-4.07.tar.gz 413532 SHA256 33f64cfd427ee0992dec316a16375cbfbfe922a05dc9ca2a9e55b379c04036c6 SHA512 39027c3233c42b94b4486d283ad0a7a296da077a4a1dd15f89a5cbcf817e58c2eaf0b477a013a6cf9d230e1f6589e841761beb02fe91265a5cea59bb7c0a140d WHIRLPOOL d37d076518cd8f068ad65a3657b295a90ee938fb3756438eb8bb4012ab0a55669de902871eee5643a538c45773747bf5108fdd541997ca351387ef931a3043fd
DIST Devel-NYTProf-4.08.tar.gz 413566 SHA256 e3ddb5c1ec8c44fbdecaa1990a28d16ea8d58036fcedef99d9fc2a15e6a39867 SHA512 ab19711e4dd13624673544e1383768a40e0413e45e0bdbaf5710972bd7fb6b13481d324f26b1cf5d0adcfeeed0fa10f20cb5503cd77e62efe0dc14c8cb67c3a4 WHIRLPOOL fd9caed73dde334c114f8f971dcfb98a351e978ff56387cb6fa4c9219a06227b0a90ee7dd0860f1e09f3eecde489d8ad694022bf9bae443195f9002e84b75aab

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mail-SPF/Mail-SPF-2.8.0.ebuild,v 1.5 2012/08/06 21:18:04 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mail-SPF/Mail-SPF-2.8.0.ebuild,v 1.6 2012/08/22 07:35:48 xmw Exp $
EAPI=4
@ -13,7 +13,7 @@ DESCRIPTION="Sender Permitted From - Object Oriented"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ppc64 ~sparc x86 ~x86-fbsd"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ppc ppc64 ~sparc x86 ~x86-fbsd"
IUSE=""
RDEPEND="dev-perl/Error

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Module-Implementation/Module-Implementation-0.60.0.ebuild,v 1.11 2012/08/05 18:33:11 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Module-Implementation/Module-Implementation-0.60.0.ebuild,v 1.12 2012/08/22 07:55:19 xmw Exp $
EAPI=4
@ -12,7 +12,7 @@ DESCRIPTION="Loads one of several alternate underlying implementations for a mod
LICENSE="Artistic-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE="test"
RDEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Module-Runtime/Module-Runtime-0.13.0.ebuild,v 1.9 2012/08/05 17:02:35 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Module-Runtime/Module-Runtime-0.13.0.ebuild,v 1.10 2012/08/22 07:47:56 xmw Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Runtime module handling"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ~ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE="test"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/MusicBrainz-DiscID/MusicBrainz-DiscID-0.30.0.ebuild,v 1.1 2012/06/24 18:41:16 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/MusicBrainz-DiscID/MusicBrainz-DiscID-0.30.0.ebuild,v 1.2 2012/08/22 09:06:50 xmw Exp $
EAPI=4
@ -13,7 +13,7 @@ SRC_URI+=" http://dev.gentoo.org/~tove/distfiles/${CATEGORY}/${PN}/${P}-patch.ta
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc ~ppc64 x86"
KEYWORDS="amd64 ppc ~ppc64 x86"
IUSE="test"
RDEPEND=">=media-libs/libdiscid-0.2.2"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Package-Stash/Package-Stash-0.330.0.ebuild,v 1.12 2012/08/05 16:51:15 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Package-Stash/Package-Stash-0.330.0.ebuild,v 1.13 2012/08/22 07:56:51 xmw Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Routines for manipulating stashes"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE="test"
RDEPEND="

@ -1,2 +1,3 @@
DIST Text-CSV_XS-0.86.tgz 118092 SHA256 68292cb816794aec3590db425e130c547d67a74afd980f654b391e4b60a73e71 SHA512 2f0e09e049e54e3be65eb8974367c275c75ce45ce90122c1addd8f008a5dad52971a7b51b64646ba3cbe7469fb954c4cc503de9debf3614b706482f61f100910 WHIRLPOOL 756c323a52e0ea34781702d1ce8078163b80b52129f8eb4a1f8fd5adba4732ec824933c2e42a18248e622ead332a28a75774c055ad85032089ce3d04196ed807
DIST Text-CSV_XS-0.90.tgz 119398 SHA256 01d623880a3333ad9d0dad0381a5025ed7fdbb092e9f2910a798639b327c61b2 SHA512 63e15e5d8f10a45e6849df01927253ef9f619731f895ff774d987d8197007f999d8e24efeebdcb19e9f1446b7cc2e0b0045c21df7653a024bc967edbd50d52f5 WHIRLPOOL ba94930ae2a4cb33ec236c4498a6f1fb0fb6978689c33a1ba2ec369cbe35fa3ee9a8858381078eaa8084ce9277a72a4ed42e17fff656d3409b3ab330ffd52b11
DIST Text-CSV_XS-0.91.tgz 119343 SHA256 932dbdd858faeb2354f363424ef2042380c91df87ae311350e95c34dd83927d0 SHA512 27bc377e5427bac02f31932907350096f1041c0318712e7e3826853590000202973e50798e7221729cff8b7dc5a5c5ce3a2725b3bf749b34e5520e773d5c5457 WHIRLPOOL 580fed4618ee933f238c3de24f8ddec7e80fb2409fbbcc9763e34f3108b1f4d15d0117a53894d765bb28469f5228ab269303778e27c6523f8ee1ae6bd365d425

@ -0,0 +1,26 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Text-CSV_XS/Text-CSV_XS-0.910.0.ebuild,v 1.1 2012/08/22 17:27:18 tove Exp $
EAPI=4
MODULE_A_EXT=tgz
MODULE_AUTHOR=HMBRAND
MODULE_VERSION=0.91
inherit perl-module
DESCRIPTION="Comma-separated values manipulation routines"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND=""
DEPEND="${RDEPEND}
test? (
dev-perl/Test-Pod
dev-perl/Test-Pod-Coverage
)
"
SRC_TEST="parallel"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/WebService-MusicBrainz/WebService-MusicBrainz-0.930.0.ebuild,v 1.3 2012/06/18 19:03:55 jdhore Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/WebService-MusicBrainz/WebService-MusicBrainz-0.930.0.ebuild,v 1.4 2012/08/22 09:04:55 xmw Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Web service API to MusicBrainz database"
SLOT="0"
KEYWORDS="amd64 ~ppc ~ppc64 x86"
KEYWORDS="amd64 ppc ~ppc64 x86"
IUSE=""
RDEPEND="dev-perl/Class-Accessor

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/YAML-Tiny/YAML-Tiny-1.510.0.ebuild,v 1.6 2012/08/06 21:18:33 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/YAML-Tiny/YAML-Tiny-1.510.0.ebuild,v 1.7 2012/08/22 08:07:36 xmw Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Read/Write YAML files with as little code as possible"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ~ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
SRC_TEST=do

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Archive_Tar/PEAR-Archive_Tar-1.3.9.ebuild,v 1.6 2012/08/11 13:03:05 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Archive_Tar/PEAR-Archive_Tar-1.3.9.ebuild,v 1.7 2012/08/22 08:09:07 xmw Exp $
EAPI="4"
@ -11,7 +11,7 @@ DESCRIPTION="Tar file management class"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ppc64 ~s390 ~sh ~sparc x86"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ppc64 ~s390 ~sh ~sparc x86"
IUSE=""
SRC_URI="http://pear.php.net/get/${MY_P}.tgz"
DEPEND="|| ( <dev-lang/php-5.3[pcre] >=dev-lang/php-5.3 )

@ -1,10 +1,10 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Console_Table/PEAR-Console_Table-1.1.3.ebuild,v 1.5 2012/08/11 13:06:31 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Console_Table/PEAR-Console_Table-1.1.3.ebuild,v 1.6 2012/08/22 08:10:03 xmw Exp $
inherit php-pear-r1
KEYWORDS="~alpha amd64 hppa ~ia64 ~ppc ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 hppa ~ia64 ppc ppc64 ~sparc x86"
DESCRIPTION="Class that makes it easy to build console style tables."
LICENSE="BSD"
SLOT="0"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP/PEAR-HTTP-1.4.1-r1.ebuild,v 1.6 2012/07/08 17:34:08 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP/PEAR-HTTP-1.4.1-r1.ebuild,v 1.7 2012/08/22 14:39:40 xmw Exp $
EAPI="2"
@ -9,7 +9,7 @@ inherit php-pear-r1 eutils
DESCRIPTION="Miscellaneous HTTP utilities."
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ~ppc ppc64 sparc x86"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
IUSE=""
DEPEND="|| ( <dev-lang/php-5.3[pcre] >=dev-lang/php-5.3 )"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-I18Nv2/PEAR-I18Nv2-0.11.4-r1.ebuild,v 1.6 2012/07/08 17:39:02 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-I18Nv2/PEAR-I18Nv2-0.11.4-r1.ebuild,v 1.7 2012/08/22 14:40:28 xmw Exp $
EAPI="2"
@ -9,6 +9,6 @@ inherit php-pear-r1
DESCRIPTION="Internationalization - basic support to localize your application."
LICENSE="PHP-3"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ~ppc ppc64 sparc x86"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
IUSE=""
DEPEND="|| ( <dev-lang/php-5.3[pcre,iconv] >=dev-lang/php-5.3[iconv] )"

@ -1,11 +1,11 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Log/PEAR-Log-1.12.7-r1.ebuild,v 1.6 2012/08/11 13:09:57 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Log/PEAR-Log-1.12.7-r1.ebuild,v 1.7 2012/08/22 08:48:41 xmw Exp $
EAPI="4"
inherit php-pear-r1
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ppc64 ~s390 ~sh ~sparc x86"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ppc64 ~s390 ~sh ~sparc x86"
DESCRIPTION="The Log framework provides an abstracted logging system.@"
LICENSE="PHP-3.01"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-MIME_Type/PEAR-MIME_Type-1.3.1.ebuild,v 1.4 2012/08/11 13:08:09 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-MIME_Type/PEAR-MIME_Type-1.3.1.ebuild,v 1.5 2012/08/22 08:49:43 xmw Exp $
EAPI=4
@ -9,6 +9,6 @@ inherit php-pear-r1
DESCRIPTION="Utility class for dealing with MIME types."
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~ppc ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ppc ppc64 ~sparc x86"
IUSE=""
RDEPEND="dev-php/PEAR-System_Command"

@ -1,12 +1,12 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Net_LDAP/PEAR-Net_LDAP-1.1.5.ebuild,v 1.5 2012/08/11 13:11:34 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Net_LDAP/PEAR-Net_LDAP-1.1.5.ebuild,v 1.6 2012/08/22 14:38:04 xmw Exp $
EAPI=4
inherit php-pear-r1
KEYWORDS="~alpha amd64 hppa ~ppc ~sparc x86"
KEYWORDS="~alpha amd64 hppa ppc ~sparc x86"
DESCRIPTION="OO interface for searching and manipulating LDAP-entries"
LICENSE="LGPL-2.1"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Services_Weather/PEAR-Services_Weather-1.4.6.ebuild,v 1.7 2012/08/05 18:23:39 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Services_Weather/PEAR-Services_Weather-1.4.6.ebuild,v 1.8 2012/08/22 14:38:57 xmw Exp $
EAPI="4"
@ -10,7 +10,7 @@ DESCRIPTION="This class acts as an interface to various online weather-services"
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~ppc ppc64 s390 sh sparc x86"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86"
IUSE="minimal"
RDEPEND="dev-lang/php[ctype]
>=dev-php/PEAR-HTTP_Request-1.2.4-r1

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-crack/pecl-crack-0.4-r2.ebuild,v 1.1 2012/08/19 08:41:34 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-crack/pecl-crack-0.4-r2.ebuild,v 1.2 2012/08/22 11:29:31 ago Exp $
EAPI="4"
@ -13,7 +13,7 @@ USE_PHP="php5-3 php5-4"
inherit php-ext-pecl-r2
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 ~x86"
DESCRIPTION="PHP interface to the cracklib libraries."
LICENSE="PHP-3 CRACKLIB"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-http/pecl-http-1.7.4.ebuild,v 1.1 2012/04/02 11:25:08 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-http/pecl-http-1.7.4.ebuild,v 1.2 2012/08/22 11:26:58 ago Exp $
EAPI="4"
@ -14,7 +14,7 @@ USE_PHP="php5-3 php5-4"
inherit php-ext-pecl-r2 php-ext-source-r2
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
DESCRIPTION="Extended HTTP Support for PHP."
LICENSE="BSD-2 MIT"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-mailparse/pecl-mailparse-2.1.6.ebuild,v 1.1 2012/05/04 10:41:48 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-mailparse/pecl-mailparse-2.1.6.ebuild,v 1.2 2012/08/22 11:28:59 ago Exp $
EAPI=4
@ -13,7 +13,7 @@ USE_PHP="php5-3 php5-4"
inherit php-ext-pecl-r2
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 ~x86"
DESCRIPTION="A PHP extension for parsing and working with RFC822 and RFC2045 (MIME) compliant messages."
LICENSE="PHP-2.02"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-memcached/pecl-memcached-2.0.1.ebuild,v 1.1 2012/03/03 15:01:24 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-memcached/pecl-memcached-2.0.1.ebuild,v 1.2 2012/08/22 11:27:27 ago Exp $
EAPI="4"
PHP_EXT_NAME="memcached"
@ -12,7 +12,7 @@ USE_PHP="php5-3 php5-4"
inherit php-ext-pecl-r2
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
DESCRIPTION="PHP extension for interfacing with memcached via libmemcached library"
LICENSE="PHP-3"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-ssh2/pecl-ssh2-0.11.3-r1.ebuild,v 1.1 2012/03/03 16:49:37 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-ssh2/pecl-ssh2-0.11.3-r1.ebuild,v 1.2 2012/08/22 11:27:55 ago Exp $
EAPI=4
@ -17,6 +17,6 @@ DESCRIPTION="Provides bindings to the functions of libssh2 which implements the
LICENSE="PHP-3"
SLOT="0"
IUSE=""
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
DEPEND=">=net-libs/libssh2-0.18"
RDEPEND="${DEPEND}"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/xcache/xcache-2.0.0.ebuild,v 1.2 2012/05/09 07:36:24 zmedico Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/xcache/xcache-2.0.0.ebuild,v 1.3 2012/08/22 11:28:24 ago Exp $
EAPI="4"
PHP_EXT_NAME="xcache"
@ -17,7 +17,7 @@ SRC_URI="http://xcache.lighttpd.net/pub/Releases/${PV}/${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE=""
# make test would just run php's test and as such need the full php source

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/xdebug/xdebug-2.2.0.ebuild,v 1.1 2012/05/08 17:30:16 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/xdebug/xdebug-2.2.0.ebuild,v 1.2 2012/08/22 11:26:25 ago Exp $
EAPI="4"
PHP_EXT_NAME="xdebug"
@ -16,7 +16,7 @@ S="${WORKDIR}/${PN}-${MY_PV}"
inherit php-ext-source-r2
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
DESCRIPTION="A PHP debugging and profiling extension"
HOMEPAGE="http://www.xdebug.org/"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pygame/pygame-1.9.2_pre20120101-r1.ebuild,v 1.5 2012/07/03 20:38:06 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/pygame/pygame-1.9.2_pre20120101-r1.ebuild,v 1.6 2012/08/22 15:21:56 xmw Exp $
EAPI="4"
SUPPORT_PYTHON_ABIS="1"
@ -20,7 +20,7 @@ fi
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ia64 ~ppc sparc x86 ~x86-fbsd"
KEYWORDS="alpha amd64 ~arm hppa ia64 ppc sparc x86 ~x86-fbsd"
IUSE="doc examples X"
DEPEND="dev-python/numpy

@ -1 +1,2 @@
DIST liquid-2.3.0.gem 39936 SHA256 58c26a4e54cc30692bc81499649a7c40e10a18734f495ce66fa123c9fda1ec4b SHA512 8bc4dec8442d53331cb6ea59a01fa741758ef2aa42b016e595b2e6f2c0a61dbc6ba7413d788300d14ae864fef13e6b4d7c441ae44e38f12e7fcf31787669496e WHIRLPOOL 569e3183c8f5b130af00202e764c415bce1402c972cbbe08072a20ab9b1a802ae04a95860947ba3934d97ed1c1748757e70538fa9625b8786b68f15700319436
DIST liquid-2.4.1.gem 40960 SHA256 8d2681ee8fb1167191bd6064fda0ca4abbe882f4f51f7f534a64600ade231f1a SHA512 b892d6f0ab590623428dd86b130abb4bb87bd491eca91f38f4333b89f345936ed06b1931317d7cc37a705cc9bba1c7559f7727ae698a7d348e1cfc1e12910292 WHIRLPOOL 0335bba5298b0413c3747db87e2a528b94bc3064ec5ae652cc972fa509b1307d89c956a3842468ea91be7f840ab20cdae159b1a3a066f21743a0565ad91527dc

@ -0,0 +1,27 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/liquid/liquid-2.4.1.ebuild,v 1.1 2012/08/22 05:30:58 graaff Exp $
EAPI=4
USE_RUBY="ruby18 ruby19 ree18 jruby"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_EXTRADOC="History.md README.md"
inherit ruby-fakegem
DESCRIPTION="Template engine for Ruby"
HOMEPAGE="http://www.liquidmarkup.org/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86-fbsd ~x86"
IUSE=""
ruby_add_bdepend "test? ( >=dev-ruby/test-unit-2.5.1-r1 )"
each_ruby_test() {
ruby-ng_testrb-2 -Ilib:test test/liquid/*_test.rb
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/netbeans/netbeans-7.2.ebuild,v 1.1 2012/07/25 16:11:57 fordfrog Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/netbeans/netbeans-7.2.ebuild,v 1.2 2012/08/22 10:17:17 fordfrog Exp $
EAPI="4"
inherit eutils java-pkg-2 java-ant-2
@ -14,6 +14,7 @@ L10N_URL="http://dev.gentoo.org/~fordfrog/distfiles/netbeans-l10n-7.2-20120725.t
ALL_URLS="${SOURCE_URL} ${PATCHES_URL} ${L10N_URL}"
SRC_URI="linguas_af? ( ${ALL_URLS} )
linguas_ar? ( ${ALL_URLS} )
linguas_bg? ( ${ALL_URLS} )
linguas_ca? ( ${ALL_URLS} )
linguas_cs? ( ${ALL_URLS} )
linguas_de? ( ${ALL_URLS} )

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.12-r1.ebuild,v 1.1 2012/08/22 04:44:08 robbat2 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.12-r1.ebuild,v 1.3 2012/08/22 05:14:49 zmedico Exp $
EAPI=4
@ -32,7 +32,7 @@ if [[ ${PV} != *9999 ]]; then
${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
${SRC_URI_GOOG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
)"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
else
SRC_URI=""
KEYWORDS=""
@ -261,8 +261,10 @@ src_configure() {
}
src_compile() {
git_emake perl/PM.stamp || die "emake perl/PM.stamp failed"
git_emake perl/perl.mak || die "emake perl/perl.mak failed"
if use perl ; then
git_emake perl/PM.stamp || die "emake perl/PM.stamp failed"
git_emake perl/perl.mak || die "emake perl/perl.mak failed"
fi
git_emake || die "emake failed"
if use emacs ; then

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.12.ebuild,v 1.1 2012/08/22 04:44:08 robbat2 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.12.ebuild,v 1.2 2012/08/22 05:10:14 robbat2 Exp $
EAPI=4
@ -32,7 +32,7 @@ if [[ ${PV} != *9999 ]]; then
${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
${SRC_URI_GOOG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
)"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
else
SRC_URI=""
KEYWORDS=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-9999.ebuild,v 1.34 2012/06/14 05:01:30 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-9999.ebuild,v 1.35 2012/08/22 05:10:14 robbat2 Exp $
EAPI=4
@ -32,7 +32,7 @@ if [[ ${PV} != *9999 ]]; then
${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
${SRC_URI_GOOG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
)"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
else
SRC_URI=""
KEYWORDS=""
@ -46,10 +46,10 @@ IUSE="+blksha1 +curl cgi doc emacs +gpg gtk +iconv +nls +pcre +perl +python ppcs
CDEPEND="
!blksha1? ( dev-libs/openssl )
sys-libs/zlib
pcre? ( dev-libs/libpcre )
perl? ( dev-lang/perl[-build] )
tk? ( dev-lang/tk )
curl? (
pcre? ( dev-libs/libpcre )
perl? ( dev-lang/perl[-build] )
tk? ( dev-lang/tk )
curl? (
net-misc/curl
webdav? ( dev-libs/expat )
)
@ -207,28 +207,12 @@ src_unpack() {
}
src_prepare() {
# Noperl is being merged to upstream as of 2009/04/05
#epatch "${FILESDIR}"/20090305-git-1.6.2-noperl.patch
# GetOpt-Long v2.38 is strict
# Merged in 1.6.3 final 2009/05/07
#epatch "${FILESDIR}"/20090505-git-1.6.2.5-getopt-fixes.patch
# JS install fixup
# Merged in 1.7.5.x
#epatch "${FILESDIR}"/git-1.7.2-always-install-js.patch
# Fix false positives with t3404 due to SHELL=/bin/false for the portage
# user.
# Merged upstream
#epatch "${FILESDIR}"/git-1.7.3.4-avoid-shell-issues.patch
# bug #350075: t9001: fix missing prereq on some tests
# Merged upstream
#epatch "${FILESDIR}"/git-1.7.3.4-fix-perl-test-prereq.patch
# bug #418431 - stated for upstream 1.7.13. Developed by Michael Schwern,
# funded as a bounty by the Gentoo Foundation.
epatch "${FILESDIR}"/git-1.7.12-git-svn-backport.patch
# bug #350330 - automagic CVS when we don't want it is bad.
epatch "${FILESDIR}"/git-1.7.11-optional-cvs.patch
epatch "${FILESDIR}"/git-1.7.12-optional-cvs.patch
sed -i \
-e 's:^\(CFLAGS =\).*$:\1 $(OPTCFLAGS) -Wall:' \
@ -247,36 +231,6 @@ src_prepare() {
# Fix docbook2texi command
sed -i 's/DOCBOOK2X_TEXI=docbook2x-texi/DOCBOOK2X_TEXI=docbook2texi.pl/' \
Documentation/Makefile || die "sed failed"
# bug #318289
# Merged upstream
#epatch "${FILESDIR}"/git-1.7.3.2-interix.patch
# merged upstream
#epatch "${FILESDIR}"/git-1.7.5-interix.patch
# merged upstream
#epatch "${FILESDIR}"/git-1.7.6-interix.patch
# Newer versions of SVN hate a whitespace in the file URL.
# So we avoid that by replaced the space with an underscore.
#Initialized empty Git repository in /dev/shm/portage/dev-vcs/git-9999/work/git-9999/t/t d.t9155/git_project/.git/
#svn: E235000: In file 'subversion/libsvn_subr/dirent_uri.c' line 2291: assertion failed (svn_uri_is_canonical(url, pool))
#
# With this change the following tests still fail: t9100 t9118 t9120
# Without it, MOST of t91* fails, due to the space tripping up the
# svn_uri_is_canonical.
#
# git-svn actually needs to be fixed here, but this chagne is useful for
# testing it.
#
# This patch is my work to date on fixing git-svn, but it causes more
# breakage than it fixes (it's manually-edited now to do nothing).
epatch "${FILESDIR}"/git-1.7.8-git-svn-1.7-canonical-path.patch
cd "${S}"/t
sed -i \
-e 's/trash directory/trash_directory/g' \
test-lib.sh t0000-basic.sh Makefile || die "sed failed"
}
git_emake() {
@ -307,6 +261,8 @@ src_configure() {
}
src_compile() {
git_emake perl/PM.stamp || die "emake perl/PM.stamp failed"
git_emake perl/perl.mak || die "emake perl/perl.mak failed"
git_emake || die "emake failed"
if use emacs ; then
@ -375,6 +331,8 @@ src_install() {
dodoc "${S}"/contrib/gitview/gitview.txt
fi
#dobin contrib/fast-import/git-p4 # Moved upstream
#dodoc contrib/fast-import/git-p4.txt # Moved upstream
newbin contrib/fast-import/import-tars.perl import-tars
newbin contrib/git-resurrect.sh git-resurrect
@ -455,6 +413,8 @@ src_test() {
t1004-read-tree-m-u-wf.sh \
t3700-add.sh \
t7300-clean.sh"
# t9100 still fails with symlinks in SVN 1.7
local test_svn="t9100-git-svn-basic.sh"
# Unzip is used only for the testcase code, not by any normal parts of Git.
if ! has_version app-arch/unzip ; then
@ -490,6 +450,9 @@ src_test() {
disabled="${disabled} ${tests_perl}"
fi
einfo "Disabling tests that fail with SVN 1.7"
disabled="${disabled} ${test_svn}"
# Reset all previously disabled tests
cd "${S}/t"
for i in *.sh.DISABLED ; do

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/multilib.eclass,v 1.98 2012/06/03 08:27:53 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/multilib.eclass,v 1.99 2012/08/22 16:03:08 vapier Exp $
# @ECLASS: multilib.eclass
# @MAINTAINER:
@ -287,6 +287,7 @@ multilib_env() {
x86_64*)
export CFLAGS_x86=${CFLAGS_x86--m32}
export CHOST_x86=${CTARGET/x86_64/i686}
CHOST_x86=${CHOST_x86/%-gnux32/-gnu}
export CTARGET_x86=${CHOST_x86}
if [[ ${SYMLINK_LIB} == "yes" ]] ; then
export LIBDIR_x86="lib32"
@ -295,17 +296,25 @@ multilib_env() {
fi
export CFLAGS_amd64=${CFLAGS_amd64--m64}
export CHOST_amd64=${CTARGET}
export CHOST_amd64=${CTARGET/%-gnux32/-gnu}
export CTARGET_amd64=${CHOST_amd64}
export LIBDIR_amd64="lib64"
export CFLAGS_x32=${CFLAGS_x32--mx32}
export CHOST_x32=${CTARGET}
export CHOST_x32=${CTARGET/%-gnu/-gnux32}
export CTARGET_x32=${CHOST_x32}
export LIBDIR_x32="libx32"
: ${MULTILIB_ABIS=amd64 x86}
: ${DEFAULT_ABI=amd64}
case ${CTARGET} in
*-gnux32)
: ${MULTILIB_ABIS=x32 amd64 x86}
: ${DEFAULT_ABI=x32}
;;
*)
: ${MULTILIB_ABIS=amd64 x86}
: ${DEFAULT_ABI=amd64}
;;
esac
;;
mips64*)
export CFLAGS_o32=${CFLAGS_o32--mabi=32}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.28 2012/08/01 10:55:29 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.29 2012/08/22 15:06:20 olemarkus Exp $
# @ECLASS: php-ext-source-r2.eclass
# @MAINTAINER:
@ -142,6 +142,7 @@ php-ext-source-r2_phpize() {
php-ext-source-r2_src_configure() {
# net-snmp creates this file #385403
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/mib_indexes
local slot
for slot in $(php_get_slots); do
@ -157,6 +158,8 @@ php-ext-source-r2_src_configure() {
php-ext-source-r2_src_compile() {
# net-snmp creates this file #324739
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/mib_indexes
# shm extension createss a semaphore file #173574
addpredict /session_mm_cli0.sem
local slot

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.26 2012/07/03 09:10:00 mabi Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.27 2012/08/22 15:06:20 olemarkus Exp $
# @ECLASS: php-pear-lib-r1.eclass
# @MAINTAINER:
@ -53,6 +53,7 @@ php-pear-lib-r1_src_install() {
# SNMP support
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/
addpredict /var/lib/net-snmp/mib_indexes
addpredict /session_mm_cli0.sem
PHP_BIN="/usr/bin/php"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.29 2012/01/18 17:50:58 mabi Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.30 2012/08/22 15:06:20 olemarkus Exp $
# @ECLASS: php-pear-r1.eclass
# @MAINTAINER:
@ -57,6 +57,7 @@ php-pear-r1_src_install() {
# SNMP support
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/
addpredict /var/lib/net-snmp/mib_indexes
addpredict /session_mm_cli0.sem
PHP_BIN="/usr/bin/php"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-engines/gargoyle/gargoyle-2011.1.ebuild,v 1.4 2012/08/21 19:18:49 hasufell Exp $
# $Header: /var/cvsroot/gentoo-x86/games-engines/gargoyle/gargoyle-2011.1.ebuild,v 1.5 2012/08/22 16:29:24 hasufell Exp $
# Regarding licenses: libgarglk is licensed under the GPLv2. Bundled
# interpreters are licensed under GPLv2, BSD or MIT license, except:
@ -9,8 +9,8 @@
# Since we don't compile or install any of the bundled fonts, their licenses
# don't apply. (Fonts are installed through dependencies instead.)
EAPI=3
inherit eutils multiprocessing toolchain-funcs games
EAPI=4
inherit eutils multiprocessing toolchain-funcs gnome2-utils games
DESCRIPTION="An Interactive Fiction (IF) player supporting all major formats"
HOMEPAGE="http://ccxvii.net/gargoyle/"
@ -21,45 +21,54 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="media-libs/freetype:2
virtual/jpeg
media-libs/libpng
media-fonts/liberation-fonts
RDEPEND="
>=media-fonts/libertine-ttf-5
sys-libs/zlib
x11-libs/gtk+:2
media-fonts/liberation-fonts
media-libs/freetype:2
media-libs/libpng:0
media-libs/sdl-mixer
media-libs/sdl-sound[modplug,mp3,vorbis]"
media-libs/sdl-sound[modplug,mp3,vorbis]
sys-libs/zlib
virtual/jpeg
x11-libs/gtk+:2"
DEPEND="${RDEPEND}
app-arch/unzip
dev-util/ftjam
virtual/pkgconfig"
S=${WORKDIR}
src_prepare() {
# Substitute custom CFLAGS/LDFLAGS.
sed -i -e \
"/^\s*OPTIM = / {
s/ \(-O.*\)\? ;/ ${CFLAGS} ;/
s/ \(-O.*\)\? ;/ ;/
a LINKFLAGS = ${LDFLAGS} ;
a SHRLINKFLAGS = ${LDFLAGS} ;
}" Jamrules || die
# Don't link against libraries used indirectly through SDL_sound.
sed -i -e "/GARGLKLIBS/s/-lsmpeg -lvorbisfile//g" Jamrules
sed -i -e "/GARGLKLIBS/s/-lsmpeg -lvorbisfile//g" Jamrules || die
# Convert garglk.ini to UNIX format.
edos2unix garglk/garglk.ini
# The font name of Linux Libertine changed in version 5.
sed -i -e 's/Linux Libertine O/Linux Libertine/g' garglk/garglk.ini
sed -i -e 's/Linux Libertine O/Linux Libertine/g' garglk/garglk.ini || die
epatch "${FILESDIR}"/${P}-desktopfile.patch
}
src_compile() {
# build system messes up flags and toolchain completely
# append flags to compiler commands to have consistent behavior
jam \
-sAR="$(tc-getAR) cru" \
-sCC="$(tc-getCC) ${CFLAGS}" \
-sCCFLAGS="" \
-sC++="$(tc-getCXX) ${CXXFLAGS}" \
-sCXX="$(tc-getCXX) ${CXXFLAGS}" \
-sC++FLAGS="" \
-sGARGLKINI="${GAMES_SYSCONFDIR}/garglk.ini" \
-sUSESDL=yes \
-sBUNDLEFONTS=no \
@ -78,24 +87,37 @@ src_install() {
# Install config file.
insinto "${GAMES_SYSCONFDIR}"
newins garglk/garglk.ini garglk.ini || die
newins garglk/garglk.ini garglk.ini
# Install application entry and icon.
insinto /usr/share/applications
doins garglk/${PN}.desktop || die
doicon garglk/${PN}-house.png || die
domenu garglk/${PN}.desktop
doicon -s 32 garglk/${PN}-house.png
# Symlink binaries to avoid name clashes.
for terp in advsys agility alan2 alan3 frotz geas git glulxe hugo jacl \
level9 magnetic nitfol scare tadsr
do
dosym "${GAMES_PREFIX}/libexec/${PN}/${terp}" \
"${GAMES_BINDIR}/${PN}-${terp}" || die
"${GAMES_BINDIR}/${PN}-${terp}"
done
# Also symlink the main binary since it resides in libexec.
dosym "${GAMES_PREFIX}/libexec/${PN}/${PN}" \
"${GAMES_BINDIR}/${PN}" || die
"${GAMES_BINDIR}/${PN}"
prepgamesdirs
}
pkg_preinst() {
games_pkg_preinst
gnome2_icon_savelist
}
pkg_postinst() {
games_pkg_postinst
gnome2_icon_cache_update
}
pkg_postrm() {
gnome2_icon_cache_update
}

@ -1,3 +1,3 @@
DIST scummvm-1.4.0.tar.bz2 15580242 RMD160 ad4e43f46ec10dc7c3becb52b172ac501fd38941 SHA1 92196b062771407d13617caef5efd4895c4e4b5d SHA256 494b12e90749aaa76304aa066c90eede8a5b4a8417900be9702a3e6ab484743d
DIST scummvm-1.4.1.tar.bz2 15703475 RMD160 058aa7c3cf160d9a722ad348fbc361d464e3f3e5 SHA1 f43d1fce764d6e49a9e1d4c069507346212d9b36 SHA256 fa0a7f0d59524611be0c5b9be9ac7f8e7a72bab1826732e056f88332aa3139da
DIST scummvm-1.4.0.tar.bz2 15580242 SHA256 494b12e90749aaa76304aa066c90eede8a5b4a8417900be9702a3e6ab484743d
DIST scummvm-1.4.1.tar.bz2 15703475 SHA256 fa0a7f0d59524611be0c5b9be9ac7f8e7a72bab1826732e056f88332aa3139da
DIST scummvm-1.5.0.tar.bz2 17455085 SHA256 81831cd878a8daad2976f65c92139a2102233082c7d2770579d7e425b19cea2e SHA512 a4ae0965fec7e065a46ee1a8a49897eb2fecaf7851590b5696d866a5f224d0491937f63e9e2e8ba797c7d9b8d7ff45fbaf12b4f17c3ddec0f9973a6a915ee1c5 WHIRLPOOL dd8842edc41de693043db5c5005670b37583cdd97a9124575b4f725e5c6a3cf16f4670624e32578936085829c8627caa07a49902d643103386ca633fe23d2c14

@ -4,6 +4,5 @@
<herd>games</herd>
<use>
<flag name="fluidsynth">compile with support for fluidsynth</flag>
<flag name="freetype">use media-libs/freetype for font rendering</flag>
</use>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-engines/scummvm/scummvm-1.5.0.ebuild,v 1.1 2012/08/02 23:02:25 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-engines/scummvm/scummvm-1.5.0.ebuild,v 1.2 2012/08/22 15:37:10 mr_bones_ Exp $
EAPI=2
inherit eutils flag-o-matic games
@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/scummvm/${P/_/}.tar.bz2"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
IUSE="alsa debug flac fluidsynth freetype mp3 vorbis"
IUSE="alsa debug flac fluidsynth truetype mp3 vorbis"
RESTRICT="test" # it only looks like there's a test there #77507
RDEPEND=">=media-libs/libsdl-1.2.2[audio,joystick,video]
@ -22,7 +22,7 @@ RDEPEND=">=media-libs/libsdl-1.2.2[audio,joystick,video]
alsa? ( media-libs/alsa-lib )
mp3? ( media-libs/libmad )
flac? ( media-libs/flac )
freetype? ( media-libs/freetype:2 )
truetype? ( media-libs/freetype:2 )
fluidsynth? ( media-sound/fluidsynth )"
DEPEND="${RDEPEND}
x86? ( dev-lang/nasm )"
@ -64,7 +64,7 @@ src_configure() {
$(use_enable mp3 mad) \
$(use_enable flac) \
$(use_enable vorbis) \
$(use_enable freetype freetype2) \
$(use_enable truetype freetype2) \
$(use_enable x86 nasm) \
${myconf} || die
}

@ -1 +1 @@
DIST polkit-kde-kcmodules-1-0.98_pre20101127.tar.bz2 25790 RMD160 fde7ad1819962e4606cbb1edcc72087c955912a3 SHA1 8b9127b8e25dc6cd9584ffe77b499d780c5459e6 SHA256 0634bd83b7f4e415c2cb9bce8bffb860a7eb8abb6c6d9b2dc3230ce501da5e3e
DIST polkit-kde-kcmodules-1-0.98_pre20101127.tar.bz2 25790 SHA256 0634bd83b7f4e415c2cb9bce8bffb860a7eb8abb6c6d9b2dc3230ce501da5e3e

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-misc/polkit-kde-kcmodules/polkit-kde-kcmodules-0.98_pre20101127.ebuild,v 1.6 2011/12/16 14:46:08 johu Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-misc/polkit-kde-kcmodules/polkit-kde-kcmodules-0.98_pre20101127.ebuild,v 1.7 2012/08/22 09:27:58 scarabeus Exp $
EAPI="3"
@ -18,7 +18,7 @@ DESCRIPTION="PolKit agent module for KDE."
HOMEPAGE="http://www.kde.org"
LICENSE="GPL-2"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86"
KEYWORDS="amd64 ~arm ppc ~ppc64 x86"
SLOT="4"
IUSE="debug"

@ -0,0 +1,16 @@
Copyright and License
This document is copyright © 2001, 2002, 2004, 2006-2007, 2010 Ravenbrook Limited. All rights reserved. This is an open source license. Contact Ravenbrook for commercial licensing options.
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
Redistributions in any form must be accompanied by information on how to obtain complete source code for this software and any accompanying software that uses this software. The source code must either be included in the
distribution or be available for no more than the cost of distribution plus a nominal fee, and must be freely redistributable under reasonable conditions. For an executable file, complete source code means the source code for all
modules it contains. It does not include source code for modules or files that typically accompany the major components of the operating system on which the executable file runs.
This software is provided by the copyright holders and contributors "as is" and any express or implied warranties, including, but not limited to, the implied warranties of merchantability, fitness for a particular purpose, or
non-infringement, are disclaimed. In no event shall the copyright holders and contributors be liable for any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not limited to, procurement
of substitute goods or services; loss of use, data, or profits; or business interruption) however caused and on any theory of liability, whether in contract, strict liability, or tort (including negligence or otherwise) arising
in any way out of the use of this software, even if advised of the possibility of such damage.

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/mail-client/mutt/mutt-1.5.21-r10.ebuild,v 1.4 2012/08/21 11:28:09 grobian Exp $
# $Header: /var/cvsroot/gentoo-x86/mail-client/mutt/mutt-1.5.21-r10.ebuild,v 1.5 2012/08/22 08:37:26 johu Exp $
EAPI="3"
@ -16,7 +16,7 @@ SRC_URI="ftp://ftp.mutt.org/mutt/devel/${P}.tar.gz
IUSE="berkdb crypt debug doc gdbm gnutls gpg idn imap mbox nls nntp pop qdbm sasl selinux sidebar smime smtp ssl tokyocabinet"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND=">=sys-libs/ncurses-5.2
tokyocabinet? ( dev-db/tokyocabinet )
!tokyocabinet? (

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/sam2p/sam2p-0.49.1.ebuild,v 1.7 2012/08/11 12:59:16 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/media-gfx/sam2p/sam2p-0.49.1.ebuild,v 1.8 2012/08/22 08:10:53 xmw Exp $
EAPI=4
inherit autotools eutils toolchain-funcs
@ -11,7 +11,7 @@ SRC_URI="http://sam2p.googlecode.com/files/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE="examples gif"
RDEPEND=""

@ -1,3 +1,4 @@
DIST libaacs-0.3.0.tar.bz2 313776 SHA256 bf92dab1a6a8ee08a55e8cf347c2cda49e6535b52e85bb1e92e1cfcc8ecec22c SHA512 7b71db8e6ce95807f0f08356a6e132459bde0ea61e4474c43dbc1a01adfebc234e9fb503f5249bca6505f3a352a4f902b4731fb5df7deff0cfca265fc625c2dc WHIRLPOOL ed180ca23c78375ba44eae5c1614accdc32dc09094b761acf708846febd7b752bda8e50c4d900e6e6db930127ee386807b5ca9c87dadc99d1103456bb57a159a
DIST libaacs-0.3.1.tar.bz2 294705 SHA256 67830ad718b6080e01f82a668bba43608ad66d800bba98812c6efc25ac5b2455
DIST libaacs-0.4.0.tar.bz2 284923 SHA256 0d3db327e2eb8a9ceb0b624338065027271e6cd76406edfbd5d4a93182c07efd SHA512 a3a6b5a82d650cad805926b748b803356ad10f79670b64d5d94d29d7f26d32e63b3c5ff0bfa43fcd856cbd3ce3bcefb819e9153521c8f75bcf7ca5af0960bc17 WHIRLPOOL 0fd38579c623d21898bd6c1701febd5424aa7fed32ff3fa20413bc0a12517d4801449e7d71a889eda86c7f1b07f3395073e04f6362e5881487911e11872eae36
DIST libaacs-0.5.0.tar.bz2 303318 SHA256 9361e185c46a1782448990beab5ccc431323296adab97613f59c597a366da440 SHA512 93de8df582b1e4ea014e737daeba6203e814bcf9314e7d1b139636f19b314a52d34a8eceb2d521907ec5c281bc4c3dc5c8715feab2329f3477e667f7417941ec WHIRLPOOL fcc4ecde27d2ceff168600e0e4476722def8f5fa62a4e4fae5418d8f07d43c92960c815d4cb406aa40689e72cffa4645c8e8f34744f5ebf20d149285793f7592

@ -0,0 +1,38 @@
Patch grabbed from OpenELEC.tv: support bison-2.6
commit f328373fee79971b8e5754ab05a182cb544b0e7f
Author: Stephan Raue <stephan@openelec.tv>
Date: Mon Jul 23 15:39:17 2012 +0200
diff -Naur libaacs-0.4.0-old/src/file/keydbcfg-parser.y libaacs-0.4.0-new/src/file/keydbcfg-parser.y
--- libaacs-0.4.0-old/src/file/keydbcfg-parser.y 2012-05-04 04:23:42.000000000 -0700
+++ libaacs-0.4.0-new/src/file/keydbcfg-parser.y 2012-07-21 19:20:14.000000000 -0700
@@ -1,4 +1,8 @@
-%{
+%code requires {
+#include "file/keydbcfg.h"
+}
+
+%code {
/*
* This file is part of libaacs
* Copyright (C) 2010 gates
@@ -18,7 +22,6 @@
* <http://www.gnu.org/licenses/>.
*/
-#include "file/keydbcfg.h"
#include "util/macro.h"
#include <stdio.h>
@@ -85,7 +88,7 @@
/* uncomment the line below for debugging */
// int yydebug = 1;
-%}
+}
/* Options set to generate a reentrant parser that is POSIX yacc compatible
* The basic 'scanner' parameters are set. Also, another parameter is set
* to pass in a title entry list struct used to hold all title entries.

@ -0,0 +1,30 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/libaacs/libaacs-0.5.0.ebuild,v 1.1 2012/08/22 15:14:56 aballier Exp $
EAPI=4
inherit autotools-utils
DESCRIPTION="Open implementation of the Advanced Access Content System (AACS) specification"
HOMEPAGE="http://www.videolan.org/developers/libaacs.html"
SRC_URI="ftp://ftp.videolan.org/pub/videolan/libaacs/${PV}/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-fbsd"
IUSE="static-libs"
RDEPEND="dev-libs/libgcrypt
dev-libs/libgpg-error"
DEPEND="${RDEPEND}"
DOCS=( ChangeLog KEYDB.cfg README.txt )
PATCHES=( "${FILESDIR}/bison_2.6.patch" )
src_configure() {
local myeconfargs=(
--disable-optimizations
)
autotools-utils_src_configure
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save